diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/wimax/model/wimax-tlv.h ns-3.44/src/wimax/model/wimax-tlv.h
--- ns-3.43/src/wimax/model/wimax-tlv.h	2024-10-09 16:41:10.148656800 -0700
+++ ns-3.44/src/wimax/model/wimax-tlv.h	2025-03-09 16:55:49.819372700 -0700
@@ -25,7 +25,7 @@
 {
 
 /**
- * \ingroup wimax
+ * @ingroup wimax
  * The value field of a tlv can take different values (uint8_t, uint16,
  * vector, ...). This class is a virtual interface
  * from which all the types of tlv values should derive
@@ -39,24 +39,24 @@
 
     /**
      * Get serialized size in bytes
-     * \returns the serialized size
+     * @returns the serialized size
      */
     virtual uint32_t GetSerializedSize() const = 0;
     /**
      * Serialize to a buffer
-     * \param start the iterator
+     * @param start the iterator
      */
     virtual void Serialize(Buffer::Iterator start) const = 0;
     /**
      * Deserialize from a buffer
-     * \param start the iterator
-     * \param valueLen the maximum length of the value
-     * \returns the
+     * @param start the iterator
+     * @param valueLen the maximum length of the value
+     * @returns the
      */
     virtual uint32_t Deserialize(Buffer::Iterator start, uint64_t valueLen) = 0;
     /**
      * Copy function
-     * \returns the TLV value
+     * @returns the TLV value
      */
     virtual TlvValue* Copy() const = 0;
 
@@ -65,8 +65,8 @@
 
 // =============================================================================
 /**
- * \ingroup wimax
- * \brief This class implements the Type-Len-Value structure channel encodings as described by "IEEE
+ * @ingroup wimax
+ * @brief This class implements the Type-Len-Value structure channel encodings as described by "IEEE
  * Standard for Local and metropolitan area networks Part 16: Air Interface for Fixed Broadband
  * Wireless Access Systems"
  * 11. TLV encodings, page 645
@@ -90,16 +90,16 @@
     /**
      * Constructor
      *
-     * \param type type
-     * \param length the length
-     * \param value TLV value
+     * @param type type
+     * @param length the length
+     * @param value TLV value
      */
     Tlv(uint8_t type, uint64_t length, const TlvValue& value);
     Tlv();
     ~Tlv() override;
     /**
      * Register this type.
-     * \return the TypeId.
+     * @return the TypeId.
      */
     static TypeId GetTypeId();
     TypeId GetInstanceTypeId() const override;
@@ -109,43 +109,43 @@
     uint32_t Deserialize(Buffer::Iterator start) override;
     /**
      * Get size of length field
-     * \returns the size of length field
+     * @returns the size of length field
      */
     uint8_t GetSizeOfLen() const;
     /**
      * Get type value
-     * \returns the type
+     * @returns the type
      */
     uint8_t GetType() const;
     /**
      * Get length value
-     * \returns the length
+     * @returns the length
      */
     uint64_t GetLength() const;
     /**
      * Peek value
-     * \returns the TLV value
+     * @returns the TLV value
      */
     TlvValue* PeekValue();
     /**
      * Copy TLV
-     * \returns a pointer to a TLV copy
+     * @returns a pointer to a TLV copy
      */
     Tlv* Copy() const;
     /**
      * Copy TlvValue
-     * \returns the TLV value
+     * @returns the TLV value
      */
     TlvValue* CopyValue() const;
     /**
      * assignment operator
-     * \param o the TLV to assign
-     * \returns the TLV
+     * @param o the TLV to assign
+     * @returns the TLV
      */
     Tlv& operator=(const Tlv& o);
     /**
      * type conversion operator
-     * \param tlv the TLV
+     * @param tlv the TLV
      */
     Tlv(const Tlv& tlv);
 
@@ -157,8 +157,8 @@
 
 // ==============================================================================
 /**
- * \ingroup wimax
- * \brief U8TlvValue class
+ * @ingroup wimax
+ * @brief U8TlvValue class
  */
 class U8TlvValue : public TlvValue
 {
@@ -166,7 +166,7 @@
     /**
      * Constructor
      *
-     * \param value value to encode
+     * @param value value to encode
      */
     U8TlvValue(uint8_t value);
     U8TlvValue();
@@ -176,18 +176,18 @@
     uint32_t Deserialize(Buffer::Iterator start, uint64_t valueLen) override;
     /**
      * Deserialize from a buffer
-     * \param start the iterator
-     * \returns the size of the item
+     * @param start the iterator
+     * @returns the size of the item
      */
     uint32_t Deserialize(Buffer::Iterator start);
     /**
      * Get value
-     * \returns the value
+     * @returns the value
      */
     uint8_t GetValue() const;
     /**
      * Copy
-     * \returns a U8 TLV value
+     * @returns a U8 TLV value
      */
     U8TlvValue* Copy() const override;
 
@@ -197,8 +197,8 @@
 
 // ==============================================================================
 /**
- * \ingroup wimax
- * \brief U16TlvValue class
+ * @ingroup wimax
+ * @brief U16TlvValue class
  */
 class U16TlvValue : public TlvValue
 {
@@ -206,7 +206,7 @@
     /**
      * Constructor
      *
-     * \param value value to encode
+     * @param value value to encode
      */
     U16TlvValue(uint16_t value);
     U16TlvValue();
@@ -216,18 +216,18 @@
     uint32_t Deserialize(Buffer::Iterator start, uint64_t valueLen) override;
     /**
      * Deserialize from a buffer
-     * \param start the iterator
-     * \returns the size
+     * @param start the iterator
+     * @returns the size
      */
     uint32_t Deserialize(Buffer::Iterator start);
     /**
      * Get value
-     * \returns the value
+     * @returns the value
      */
     uint16_t GetValue() const;
     /**
      * Copy
-     * \returns the U16 TLV value
+     * @returns the U16 TLV value
      */
     U16TlvValue* Copy() const override;
 
@@ -237,8 +237,8 @@
 
 // ==============================================================================
 /**
- * \ingroup wimax
- * \brief U32TlvValue class
+ * @ingroup wimax
+ * @brief U32TlvValue class
  */
 class U32TlvValue : public TlvValue
 {
@@ -246,7 +246,7 @@
     /**
      * Constructor
      *
-     * \param value to encode
+     * @param value to encode
      */
     U32TlvValue(uint32_t value);
     U32TlvValue();
@@ -257,18 +257,18 @@
     uint32_t Deserialize(Buffer::Iterator start, uint64_t valueLen) override;
     /**
      * Deserialize from a buffer
-     * \param start the iterator
-     * \returns the size
+     * @param start the iterator
+     * @returns the size
      */
     uint32_t Deserialize(Buffer::Iterator start);
     /**
      * Get value
-     * \returns the value
+     * @returns the value
      */
     uint32_t GetValue() const;
     /**
      * Copy
-     * \returns the U32 TLV Value
+     * @returns the U32 TLV Value
      */
     U32TlvValue* Copy() const override;
 
@@ -279,8 +279,8 @@
 // ==============================================================================
 
 /**
- * \ingroup wimax
- * \brief this class is used to implement a vector of values in one tlv value field
+ * @ingroup wimax
+ * @brief this class is used to implement a vector of values in one tlv value field
  */
 class VectorTlvValue : public TlvValue
 {
@@ -294,22 +294,22 @@
     uint32_t Deserialize(Buffer::Iterator start, uint64_t valueLength) override = 0;
     /**
      * Begin iterator
-     * \returns the beginning element
+     * @returns the beginning element
      */
     Iterator Begin() const;
     /**
      * End iterator
-     * \returns the ending element
+     * @returns the ending element
      */
     Iterator End() const;
     /**
      * Add a TLV
-     * \param val the TLV value
+     * @param val the TLV value
      */
     void Add(const Tlv& val);
     /**
      * Copy
-     * \returns the vector TLV value
+     * @returns the vector TLV value
      */
     VectorTlvValue* Copy() const override = 0;
 
@@ -319,8 +319,8 @@
 
 // ==============================================================================
 /**
- * \ingroup wimax
- * \brief SfVectorTlvValue class
+ * @ingroup wimax
+ * @brief SfVectorTlvValue class
  */
 class SfVectorTlvValue : public VectorTlvValue
 {
@@ -367,8 +367,8 @@
 // ==============================================================================
 
 /**
- * \ingroup wimax
- * \brief this class implements the convergence sub-layer descriptor as a tlv vector
+ * @ingroup wimax
+ * @brief this class implements the convergence sub-layer descriptor as a tlv vector
  */
 class CsParamVectorTlvValue : public VectorTlvValue
 {
@@ -390,8 +390,8 @@
 // ==============================================================================
 
 /**
- * \ingroup wimax
- * \brief this class implements the classifier descriptor as a tlv vector
+ * @ingroup wimax
+ * @brief this class implements the classifier descriptor as a tlv vector
  */
 class ClassificationRuleVectorTlvValue : public VectorTlvValue
 {
@@ -418,8 +418,8 @@
 
 // ==============================================================================
 /**
- * \ingroup wimax
- * \brief TosTlvValue class
+ * @ingroup wimax
+ * @brief TosTlvValue class
  */
 class TosTlvValue : public TlvValue
 {
@@ -428,9 +428,9 @@
     /**
      * Constructor
      *
-     * \param low low value
-     * \param high high value
-     * \param mask the mask
+     * @param low low value
+     * @param high high value
+     * @param mask the mask
      */
     TosTlvValue(uint8_t low, uint8_t high, uint8_t mask);
     ~TosTlvValue() override;
@@ -439,22 +439,22 @@
     uint32_t Deserialize(Buffer::Iterator start, uint64_t valueLength) override;
     /**
      * Get low part
-     * \returns the low part
+     * @returns the low part
      */
     uint8_t GetLow() const;
     /**
      * Get high part
-     * \returns the high part
+     * @returns the high part
      */
     uint8_t GetHigh() const;
     /**
      * Get the mask
-     * \returns the mask
+     * @returns the mask
      */
     uint8_t GetMask() const;
     /**
      * Copy
-     * \returns the TOS TLV value
+     * @returns the TOS TLV value
      */
     TosTlvValue* Copy() const override;
 
@@ -466,8 +466,8 @@
 
 // ==============================================================================
 /**
- * \ingroup wimax
- * \brief PortRangeTlvValue class
+ * @ingroup wimax
+ * @brief PortRangeTlvValue class
  */
 class PortRangeTlvValue : public TlvValue
 {
@@ -488,23 +488,23 @@
     uint32_t Deserialize(Buffer::Iterator start, uint64_t valueLength) override;
     /**
      * Add a range
-     * \param portLow the low port of the range
-     * \param portHigh the high port of the range
+     * @param portLow the low port of the range
+     * @param portHigh the high port of the range
      */
     void Add(uint16_t portLow, uint16_t portHigh);
     /**
      * Begin iterator
-     * \returns the beginning element
+     * @returns the beginning element
      */
     Iterator Begin() const;
     /**
      * End iterator
-     * \returns the ending element
+     * @returns the ending element
      */
     Iterator End() const;
     /**
      * Copy
-     * \returns the port range tlv value
+     * @returns the port range tlv value
      */
     PortRangeTlvValue* Copy() const override;
 
@@ -514,8 +514,8 @@
 
 // ==============================================================================
 /**
- * \ingroup wimax
- * \brief ProtocolTlvValue class
+ * @ingroup wimax
+ * @brief ProtocolTlvValue class
  */
 class ProtocolTlvValue : public TlvValue
 {
@@ -529,22 +529,22 @@
     uint32_t Deserialize(Buffer::Iterator start, uint64_t valueLength) override;
     /**
      * Add protocol number
-     * \param protocol the protocol number
+     * @param protocol the protocol number
      */
     void Add(uint8_t protocol);
     /**
      * Begin iterator
-     * \returns the beginning element
+     * @returns the beginning element
      */
     Iterator Begin() const;
     /**
      * End iterator
-     * \return the ending element
+     * @return the ending element
      */
     Iterator End() const;
     /**
      * Copy
-     * \returns the protocol tlv value
+     * @returns the protocol tlv value
      */
     ProtocolTlvValue* Copy() const override;
 
@@ -555,8 +555,8 @@
 // ==============================================================================
 
 /**
- * \ingroup wimax
- * \brief Ipv4AddressTlvValue class
+ * @ingroup wimax
+ * @brief Ipv4AddressTlvValue class
  */
 class Ipv4AddressTlvValue : public TlvValue
 {
@@ -577,18 +577,18 @@
     uint32_t Deserialize(Buffer::Iterator start, uint64_t valueLength) override;
     /**
      * Add IPv4 address and mask
-     * \param address the IPv4 address
-     * \param mask the IPv4 mask
+     * @param address the IPv4 address
+     * @param mask the IPv4 mask
      */
     void Add(Ipv4Address address, Ipv4Mask mask);
     /**
      * Begin iterator
-     * \returns the beginning element
+     * @returns the beginning element
      */
     Iterator Begin() const;
     /**
      * End iterator
-     * \returns the ending element
+     * @returns the ending element
      */
     Iterator End() const;
     Ipv4AddressTlvValue* Copy() const override;
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/wimax/test/mac-messages-test.cc ns-3.44/src/wimax/test/mac-messages-test.cc
--- ns-3.43/src/wimax/test/mac-messages-test.cc	2024-10-09 16:41:10.148656800 -0700
+++ ns-3.44/src/wimax/test/mac-messages-test.cc	2025-03-09 16:55:49.819372700 -0700
@@ -13,15 +13,15 @@
 using namespace ns3;
 
 /**
- * \ingroup wimax
- * \defgroup wimax-test wimax module tests
+ * @ingroup wimax
+ * @defgroup wimax-test wimax module tests
  */
 
 /**
- * \ingroup wimax-test
- * \ingroup tests
+ * @ingroup wimax-test
+ * @ingroup tests
  *
- * \brief Test the DSA request message.
+ * @brief Test the DSA request message.
  */
 class DsaRequestTestCase : public TestCase
 {
@@ -100,10 +100,10 @@
 }
 
 /**
- * \ingroup wimax-test
- * \ingroup tests
+ * @ingroup wimax-test
+ * @ingroup tests
  *
- * \brief Ns3 Wimax Mac Messages Test Suite
+ * @brief Ns3 Wimax Mac Messages Test Suite
  */
 class Ns3WimaxMacMessagesTestSuite : public TestSuite
 {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/wimax/test/phy-test.cc ns-3.44/src/wimax/test/phy-test.cc
--- ns-3.43/src/wimax/test/phy-test.cc	2024-10-09 16:41:10.148656800 -0700
+++ ns-3.44/src/wimax/test/phy-test.cc	2025-03-09 16:55:49.819372700 -0700
@@ -26,10 +26,10 @@
  */
 
 /**
- * \ingroup wimax-test
- * \ingroup tests
+ * @ingroup wimax-test
+ * @ingroup tests
  *
- * \brief Ns3 Wimax Simple OFDM Test Case
+ * @brief Ns3 Wimax Simple OFDM Test Case
  */
 class Ns3WimaxSimpleOFDMTestCase : public TestCase
 {
@@ -41,8 +41,8 @@
     void DoRun() override;
     /**
      * Run once function
-     * \param FrameDuration the frame duration
-     * \returns true if successful
+     * @param FrameDuration the frame duration
+     * @returns true if successful
      */
     bool DoRunOnce(double FrameDuration);
 };
@@ -110,10 +110,10 @@
 }
 
 /**
- * \ingroup wimax-test
- * \ingroup tests
+ * @ingroup wimax-test
+ * @ingroup tests
  *
- * \brief Test the SNr tom block error rate module
+ * @brief Test the SNr tom block error rate module
  */
 class Ns3WimaxSNRtoBLERTestCase : public TestCase
 {
@@ -125,8 +125,8 @@
     void DoRun() override;
     /**
      * Run once function
-     * \param modulationType the modulation type
-     * \returns true if successful
+     * @param modulationType the modulation type
+     * @returns true if successful
      */
     bool DoRunOnce(uint8_t modulationType);
 };
@@ -165,10 +165,10 @@
 }
 
 /**
- * \ingroup wimax-test
- * \ingroup tests
+ * @ingroup wimax-test
+ * @ingroup tests
  *
- * \brief The test suite
+ * @brief The test suite
  */
 class Ns3WimaxPhyTestSuite : public TestSuite
 {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/wimax/test/qos-test.cc ns-3.44/src/wimax/test/qos-test.cc
--- ns-3.43/src/wimax/test/qos-test.cc	2024-10-09 16:41:10.148656800 -0700
+++ ns-3.44/src/wimax/test/qos-test.cc	2025-03-09 16:55:49.819372700 -0700
@@ -22,10 +22,10 @@
 using namespace ns3;
 
 /**
- * \ingroup wimax-test
- * \ingroup tests
+ * @ingroup wimax-test
+ * @ingroup tests
  *
- * \brief Ns3 Wimax Scheduling Test Case
+ * @brief Ns3 Wimax Scheduling Test Case
  */
 class Ns3WimaxSchedulingTestCase : public TestCase
 {
@@ -37,8 +37,8 @@
     void DoRun() override;
     /**
      * Run once function
-     * \param scheduler the wimax scheduler type
-     * \returns true if successful
+     * @param scheduler the wimax scheduler type
+     * @returns true if successful
      */
     bool DoRunOnce(WimaxHelper::SchedulerType scheduler);
 };
@@ -154,10 +154,10 @@
 }
 
 /**
- * \ingroup wimax-test
- * \ingroup tests
+ * @ingroup wimax-test
+ * @ingroup tests
  *
- * \brief Ns3 Wimax SF Type Test Case
+ * @brief Ns3 Wimax SF Type Test Case
  */
 class Ns3WimaxSFTypeTestCase : public TestCase
 {
@@ -169,8 +169,8 @@
     void DoRun() override;
     /**
      * Run once function
-     * \param schedulingType the scheduling type
-     * \returns true if successful
+     * @param schedulingType the scheduling type
+     * @returns true if successful
      */
     bool DoRunOnce(ServiceFlow::SchedulingType schedulingType);
 };
@@ -288,10 +288,10 @@
 }
 
 /**
- * \ingroup wimax-test
- * \ingroup tests
+ * @ingroup wimax-test
+ * @ingroup tests
  *
- * \brief Ns3 Wimax QoS Test Suite
+ * @brief Ns3 Wimax QoS Test Suite
  */
 class Ns3WimaxQoSTestSuite : public TestSuite
 {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/wimax/test/ss-mac-test.cc ns-3.44/src/wimax/test/ss-mac-test.cc
--- ns-3.43/src/wimax/test/ss-mac-test.cc	2024-10-09 16:41:10.148656800 -0700
+++ ns-3.44/src/wimax/test/ss-mac-test.cc	2025-03-09 16:55:49.819372700 -0700
@@ -16,10 +16,10 @@
 using namespace ns3;
 
 /**
- * \ingroup wimax-test
- * \ingroup tests
+ * @ingroup wimax-test
+ * @ingroup tests
  *
- * \brief Test the network entry procedure.
+ * @brief Test the network entry procedure.
  * Create a network with a BS and 10 SS and check that all the SS perform the
  * network entry correctly
  *
@@ -79,10 +79,10 @@
 }
 
 /**
- * \ingroup wimax-test
- * \ingroup tests
+ * @ingroup wimax-test
+ * @ingroup tests
  *
- * \brief Test if the management connections are correctly setup.
+ * @brief Test if the management connections are correctly setup.
  * Create a network with a BS and 10 SS and check that the management
  * connections are correctly setup for all SS
  *
@@ -143,10 +143,10 @@
 }
 
 /**
- * \ingroup wimax-test
- * \ingroup tests
+ * @ingroup wimax-test
+ * @ingroup tests
  *
- * \brief Ns3 Wimax SS Mac Test Suite
+ * @brief Ns3 Wimax SS Mac Test Suite
  */
 class Ns3WimaxSSMacTestSuite : public TestSuite
 {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/wimax/test/wimax-fragmentation-test.cc ns-3.44/src/wimax/test/wimax-fragmentation-test.cc
--- ns-3.43/src/wimax/test/wimax-fragmentation-test.cc	2024-10-09 16:41:10.148656800 -0700
+++ ns-3.44/src/wimax/test/wimax-fragmentation-test.cc	2025-03-09 16:55:49.819372700 -0700
@@ -19,10 +19,10 @@
 using namespace ns3;
 
 /**
- * \ingroup wimax-test
- * \ingroup tests
+ * @ingroup wimax-test
+ * @ingroup tests
  *
- * \brief Test the wimax packet fragmentation.
+ * @brief Test the wimax packet fragmentation.
  */
 class Ns3WimaxFragmentationTestCase : public TestCase
 {
@@ -132,10 +132,10 @@
 }
 
 /**
- * \ingroup wimax-test
- * \ingroup tests
+ * @ingroup wimax-test
+ * @ingroup tests
  *
- * \brief Ns3 Wimax Fragmentation Test Suite
+ * @brief Ns3 Wimax Fragmentation Test Suite
  */
 class Ns3WimaxFragmentationTestSuite : public TestSuite
 {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/wimax/test/wimax-service-flow-test.cc ns-3.44/src/wimax/test/wimax-service-flow-test.cc
--- ns-3.43/src/wimax/test/wimax-service-flow-test.cc	2024-10-09 16:41:10.148656800 -0700
+++ ns-3.44/src/wimax/test/wimax-service-flow-test.cc	2025-03-09 16:55:49.819372700 -0700
@@ -21,10 +21,10 @@
 using namespace ns3;
 
 /**
- * \ingroup wimax-test
- * \ingroup tests
+ * @ingroup wimax-test
+ * @ingroup tests
  *
- * \brief Test the service flow creation.
+ * @brief Test the service flow creation.
  */
 class Ns3WimaxSfCreationTestCase : public TestCase
 {
@@ -140,10 +140,10 @@
 }
 
 /**
- * \ingroup wimax-test
- * \ingroup tests
+ * @ingroup wimax-test
+ * @ingroup tests
  *
- * \brief Ns3 Wimax Service Flow Test Suite
+ * @brief Ns3 Wimax Service Flow Test Suite
  */
 class Ns3WimaxServiceFlowTestSuite : public TestSuite
 {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/wimax/test/wimax-tlv-test.cc ns-3.44/src/wimax/test/wimax-tlv-test.cc
--- ns-3.43/src/wimax/test/wimax-tlv-test.cc	2024-10-09 16:41:10.148656800 -0700
+++ ns-3.44/src/wimax/test/wimax-tlv-test.cc	2025-03-09 16:55:49.819372700 -0700
@@ -20,10 +20,10 @@
 using namespace ns3;
 
 /**
- * \ingroup wimax-test
- * \ingroup tests
+ * @ingroup wimax-test
+ * @ingroup tests
  *
- * \brief Test the wimax tlv implementation.
+ * @brief Test the wimax tlv implementation.
  */
 class Ns3WimaxCsParamTlvTestCase : public TestCase
 {
@@ -120,10 +120,10 @@
 }
 
 /**
- * \ingroup wimax-test
- * \ingroup tests
+ * @ingroup wimax-test
+ * @ingroup tests
  *
- * \brief Test the service flow tlv implementation.
+ * @brief Test the service flow tlv implementation.
  */
 class Ns3WimaxSfTlvTestCase : public TestCase
 {
@@ -201,10 +201,10 @@
 }
 
 /**
- * \ingroup wimax-test
- * \ingroup tests
+ * @ingroup wimax-test
+ * @ingroup tests
  *
- * \brief Ns3 Wimax Tlv Test Suite
+ * @brief Ns3 Wimax Tlv Test Suite
  */
 class Ns3WimaxTlvTestSuite : public TestSuite
 {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/zigbee/CMakeLists.txt ns-3.44/src/zigbee/CMakeLists.txt
--- ns-3.43/src/zigbee/CMakeLists.txt	1969-12-31 16:00:00.000000000 -0800
+++ ns-3.44/src/zigbee/CMakeLists.txt	2025-03-09 16:55:49.819372700 -0700
@@ -0,0 +1,23 @@
+build_lib(
+  LIBNAME zigbee
+  SOURCE_FILES
+    helper/zigbee-helper.cc
+    helper/zigbee-stack-container.cc
+    model/zigbee-nwk-fields.cc
+    model/zigbee-nwk.cc
+    model/zigbee-stack.cc
+    model/zigbee-nwk-header.cc
+    model/zigbee-nwk-payload-header.cc
+    model/zigbee-nwk-tables.cc
+  HEADER_FILES
+    helper/zigbee-helper.h
+    helper/zigbee-stack-container.h
+    model/zigbee-nwk-fields.h
+    model/zigbee-nwk.h
+    model/zigbee-stack.h
+    model/zigbee-nwk-header.h
+    model/zigbee-nwk-payload-header.h
+    model/zigbee-nwk-tables.h
+  LIBRARIES_TO_LINK ${liblr-wpan}
+  TEST_SOURCES test/zigbee-rreq-test.cc
+)
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/zigbee/examples/CMakeLists.txt ns-3.44/src/zigbee/examples/CMakeLists.txt
--- ns-3.43/src/zigbee/examples/CMakeLists.txt	1969-12-31 16:00:00.000000000 -0800
+++ ns-3.44/src/zigbee/examples/CMakeLists.txt	2025-03-09 16:55:49.819372700 -0700
@@ -0,0 +1,18 @@
+set(base_examples
+    zigbee-nwk-direct-join
+    zigbee-nwk-association-join
+    zigbee-nwk-routing
+    zigbee-nwk-routing-grid
+)
+
+foreach(
+  example
+  ${base_examples}
+)
+  build_lib_example(
+    NAME ${example}
+    SOURCE_FILES ${example}.cc
+    LIBRARIES_TO_LINK ${libzigbee}
+                      ${liblr-wpan}
+  )
+endforeach()
